Changeset e3dfe5e


Ignore:
Timestamp:
08/12/2020 09:06:02 PM (14 months ago)
Author:
Ken Moffat <ken@…>
Branches:
10.0, 10.1, 11.0, lazarus, qt5new, trunk, xry111/git-date, xry111/git-date-for-trunk, xry111/git-date-test
Children:
fd973b8
Parents:
511fbee9
Message:

TexLive source: remove system poppler option.

Fails to build with current poppler, and upstream has removed poppler for TL2021.

git-svn-id: svn://svn.linuxfromscratch.org/BLFS/trunk/BOOK@23505 af4574ff-66df-0310-9fd7-8a98e5e911e0

Files:
3 edited

Legend:

Unmodified
Added
Removed
  • introduction/welcome/changelog.xml

    r511fbee9 re3dfe5e  
    4646      <itemizedlist>
    4747        <listitem>
     48          <para>[ken] - Fix texlive build failure with poppler-20.08
     49          by removing instructions to use system poppler.</para>
     50        </listitem>
     51        <listitem>
    4852          <para>[renodr] - Adapt the Lua-5.4 sed in VIM to the latest version
    4953          of VIM.</para>
  • pst/typesetting/texlive.xml

    r511fbee9 re3dfe5e  
    223223
    224224    <caution>
    225       <para>
     225  <!--<para>
    226226        The instructions here for dealing with <application>poppler</application>
    227227        will only work with versions of poppler used in BLFS-9.1 and later, i.e.
     
    232232        which version of <application>poppler</application> is installed and use
    233233        the appropriate versions of these files.
    234       </para>
    235 
    236       <para>
    237         Similarly, if you wish to upgrade to current <application>texlive</application>
     234      </para>-->
     235
     236      <para>
     237        If you wish to upgrade to current <application>texlive</application>
    238238        on an older system where extra packages (<application>asymptote</application>.
    239239        <application>biber</application>, <application>dvisvgm</application> or
     
    258258EOF</userinput></screen>
    259259
    260     <para>
    261       <application>TexLive</application> ships with a very old version of
    262       <application>poppler</application>, and some updated files for newer versions.
    263       To use the system version, first identify it and then copy the correct
    264       versions of the updated files (please read the Caution above):
    265     </para>
    266 
    267 <!-- on a release, drop this back to current version but update the
    268  Caution above and ideally keep this commented, every other (expletive
    269  deleted) poppler update tends to break this. -->
    270 <screen><userinput>SYSPOP= &amp;&amp;
    271 let MYPOPPLER=$(pkg-config --modversion poppler | cut -d '.' -f2)
    272 if [ "$MYPOPPLER" -lt 85 ]; then
    273     # BLFS-9.1 uses 0.85.0, ignore earlier versions in this script.
    274     SYSPOP=
    275 else
    276     SYSPOP="--with-system-poppler --with-system-xpdf --with-system-potrace"
    277     if [ $MYPOPPLER -lt 86 ]; then
    278         mv -v texk/web2c/pdftexdir/pdftoepdf{-poppler0.83.0,}.cc
    279     else # 0.86.0 or later.
    280         mv -v texk/web2c/pdftexdir/pdftoepdf{-poppler0.86.0,}.cc
    281     fi
    282     # For pdftosrc BLFS-9.1 uses 0.83.0 and that is the latest variant.
    283     mv -v texk/web2c/pdftexdir/pdftosrc{-poppler0.83.0,}.cc
    284 fi &amp;&amp;
    285 export SYSPOP &amp;&amp;
    286 unset MYPOPPLER</userinput></screen>
    287 
    288260    <note>
    289261      <para>
     
    299271<!-- after the export!
    300272patch -Np1 -i ../texlive-&texlive-version;-source-upstream_fixes-1.patch &amp;&amp;-->
     273
     274<!-- System poppler was removed from upstream in
     275 https://tug.org/svn/texlive?view=revision&revision=55138
     276 so for remaining lifetime of TL2020 use its shipped version
     277 because it does not build with current system poppler -->
     278
    301279<screen><userinput>export TEXARCH=$(uname -m | sed -e 's/i.86/i386/' -e 's/$/-linux/') &amp;&amp;
    302280
     
    327305    --with-system-mpfr                                          \
    328306    --with-system-pixman                                        \
    329     ${SYSPOP}                                                   \
    330307    --with-system-zlib                                          \
    331308    --with-banner-add=" - BLFS" &amp;&amp;
    332309
    333 make &amp;&amp;
    334 unset SYSPOP</userinput></screen>
     310make</userinput></screen>
    335311
    336312    <para>
  • xincludes/texrecommendlibs.xml

    r511fbee9 re3dfe5e  
    1818  <xref linkend="icu"/>,
    1919  <xref linkend="libpaper"/> (used by at least context and xelatex),
    20    and <xref linkend="libpng"/>, also
    21   <xref linkend="poppler"/> and
    22   <xref linkend="potrace"/> (both only used if suitable file versions
    23   are available in <filename class="directory">texk/web2c/pdftexdir</filename>)
     20   and <xref linkend="libpng"/>
     21<!-- System poppler was removed from upstream in
     22 https://tug.org/svn/texlive?view=revision&revision=55138
     23 so for remaining lifetime of TL2020 use its shipepd version -->
    2424</para>
Note: See TracChangeset for help on using the changeset viewer.